# Codeception Test Suite Configuration
#
# Suite for acceptance tests.
# Perform tests in browser using the WPWebDriver or WPBrowser.
# Use WPDb to set up your initial database fixture.
# If you need both WPWebDriver and WPBrowser tests - create a separate suite.

actor: AcceptanceTester
modules:
    enabled:
        - WPDb
        - WPBrowser
        - \Helper\Acceptance
    config:
        WPDb:
            dsn: "mysql:unix_socket=%TEST_SITE_DB_HOST%;dbname=%TEST_SITE_DB_NAME%"
            # dsn: '%TEST_SITE_DB_DSN%'
            user: "%TEST_SITE_DB_USER%"
            password: "%TEST_SITE_DB_PASSWORD%"
            dump: "tests/_data/dump.sql"
            #import the dump before the tests; this means the test site database will be repopulated before the tests.
            populate: true
            # re-import the dump between tests; this means the test site database will be repopulated between the tests.
            cleanup: true
            waitlock: 10
            url: "%TEST_SITE_WP_URL%"
            urlReplacement: true #replace the hardcoded dump URL with the one above
            tablePrefix: "%TEST_SITE_TABLE_PREFIX%"
        WPBrowser:
            url: "%TEST_SITE_WP_URL%"
            adminUsername: "%TEST_SITE_ADMIN_USERNAME%"
            adminPassword: "%TEST_SITE_ADMIN_PASSWORD%"
            adminPath: "%TEST_SITE_WP_ADMIN_PATH%"
            headers:
                X_TEST_REQUEST: 1
                X_WPBROWSER_REQUEST: 1
